Bug 245901 - www/py-jsonfield2: Update to 4.0.0
Summary: www/py-jsonfield2: Update to 4.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL: https://github.com/rpkilby/jsonfield2...
Keywords:
Depends on:
Blocks: 245309
  Show dependency treegraph
 
Reported: 2020-04-25 10:04 UTC by Kai Knoblich
Modified: 2020-05-17 18:13 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments
py-jsonfield2-4.0.0.patch (1.88 KB, patch)
2020-04-25 10:04 UTC, Kai Knoblich
kai: maintainer-approval? (sunpoet)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2020-04-25 10:04:46 UTC
Created attachment 213775 [details]
py-jsonfield2-4.0.0.patch

Hi Sunpoet,

attached is the patch that updates www/py-jsonfield2 to 4.0.0 and assigns it to Django 2.2 (current LTS release) because Django 1.11 is End-of-Life since April 2020.

The changes are synced with www/py-dj22-jsonfield2.

The patch also marks www/py-dj22-jsonfield as DEPRECATED because that package will be obsolete once the update for www/py-jsonfield2 lands.

QA:
~~~
- poudriere (11.3-RELEASE amd64 for each py35, py36, py37 and py38 flavor) -> OK
- portlint -> OK
Comment 1 commit-hook freebsd_committer 2020-05-16 11:05:37 UTC
A commit references this bug:

Author: sunpoet
Date: Sat May 16 11:04:51 UTC 2020
New revision: 535459
URL: https://svnweb.freebsd.org/changeset/ports/535459

Log:
  Update to 4.0.0

  - Update RUN_DEPENDS: use Django 2.2
  - Mark www/py-dj22-jsonfield2 as DEPRECATED

  Changes:	https://github.com/rpkilby/jsonfield2/blob/master/CHANGES.rst
  PR:		245901
  Submitted by:	kai

Changes:
  head/www/py-dj22-jsonfield2/Makefile
  head/www/py-jsonfield2/Makefile
  head/www/py-jsonfield2/distinfo
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-05-17 18:13:34 UTC
Committed. Thanks!